# FdoICreateMeasureUnit Class Reference

`#include <ICreateMeasureUnit.h>`

Inheritance diagram for FdoICreateMeasureUnit:

[legend]

List of all members.

## Detailed Description

The FdoICreateMeasureUnit interface defines the CreateMeasureUnit command, which creates or updates a measurement unit. Input to the command includes the abbreviation, name, description, measure type, base unit, and scale factor that defines the measure unit. The update existing flag indicates how the command should behave in the presence of an existing measure unit. If it is false, and the specified measure unit already exists, command execution will fail. If it is true, the command will either create a new measure unit or update an existing one.

Definition at line 40 of file ICreateMeasureUnit.h.

## Public Member Functions
virtual FDO_API void | Execute ()=0
| Executes the CreateMeasureUnit command. If the measure unit already exists and the update existing flag is set to false, an exception is thrown.
virtual FDO_API FdoString * | GetAbbreviation ()=0
| Gets the abbreviation of the measure unit to create or update as a string. Abbreviations must be unique because they define the identity of a measurement unit.
virtual FDO_API FdoBaseUnit | GetBaseUnit ()=0
| Gets the base units that define the measure unit to create or update as an FdoBaseUnit value.
virtual FDO_API FdoString * | GetDescription ()=0
| Gets the description of the measure unit to create or update as a string.
virtual FDO_API FdoString * | GetName ()=0
| Gets the name of the measure unit to create or update as a string.
virtual FDO_API double | GetScaleFactor ()=0
| Gets the scale factor to be applied to the base unit in order to get one of the units being defined.
virtual FDO_API bool | GetUpdateExisting ()=0
| Gets a Boolean flag that indicates how the CreateMeasureUnit command should behave if the measure unit already exists. If update existing is true and a measure unit with the specified abbreviation already exists then it will be updated. If update existing is false and a measure unit with the specified abbreviation already exists, command execution will fail.
virtual FDO_API void | SetAbbreviation (FdoString *value)=0
| Sets the abbreviation of the measure unit to create or update as a string. Abbreviations must be unique because they define the identity of a measurement unit.
virtual FDO_API void | SetBaseUnit (FdoBaseUnit value)=0
| Sets the base units that define the measure unit to create or update as an FdoBaseUnit value.
virtual FDO_API void | SetDescription (FdoString *value)=0
| Sets the description of the measure unit to create or update as a string.
virtual FDO_API void | SetName (FdoString *value)=0
| Sets the name of the measure unit to create or update as a string.
virtual FDO_API void | SetScaleFactor (double value)=0
| Sets the scale factor to be applied to the base unit in order to get one of the units being defined.
virtual FDO_API void | SetUpdateExisting (bool value)=0
| Sets a Boolean flag that indicates how the CreateMeasureUnit command should behave if the measure unit already exists. If update existing is true and a measure unit of the specified name already exists, it will be updated. If update existing is false and a measure unit of the specified name already exists, command execution will fail.
## Friends
class | FdoIConnection

The documentation for this class was generated from the following file:

- ICreateMeasureUnit.h